Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQPlatinumStyle Class Reference

The TQPlatinumStyle class provides Mac/Platinum look and feel. More...

`#include <ntqplatinumstyle.h>`

Inherits TQWindowsStyle.

List of all member functions.

## Public Members

- TQPlatinumStyle ()

## Protected Members

- TQColor mixedColor ( const TQColor & c1, const TQColor & c2 ) const
- void drawRiffles ( TQPainter * p, int x, int y, int w, int h, const TQColorGroup & g, bool horizontal ) const

## Detailed Description

The TQPlatinumStyle class provides Mac/Platinum look and feel.

This class implements the Platinum look and feel. It's an experimental class that tries to resemble a Macinosh-like GUI style with the TQStyle system. The emulation is currently far from perfect.

See also TQAquaStyle and Widget Appearance and Style.

## Member Function Documentation

### TQPlatinumStyle::TQPlatinumStyle ()

Constructs a TQPlatinumStyle

### void TQPlatinumStyle::drawRiffles ( TQPainter * p, int x, int y, int w, int h, const TQColorGroup & g, bool horizontal ) const`[protected]`

Draws the nifty Macintosh decoration used on sliders using painter p and colorgroup g. x, y, w, h and horizontal specify the geometry and orientation of the riffles.

### TQColor TQPlatinumStyle::mixedColor ( const TQColor & c1, const TQColor & c2 ) const`[protected]`

Mixes two colors c1 and c2 to a new color.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.